Subject: bug#62720: 29.0.60; Not easy at all to upgrade :core packages like Eglot

From: Philip Kaludercic <[email-masked]>
Date: Fri, 05 May 2023 05:41:17 +0000

Eli Zaretskii <[email-masked]> writes:

>> Date: Fri, 5 May 2023 02:58:25 +0300
>> Cc: [email-masked], [email-masked], [email-masked],
>>  [email-masked], [email-masked], [email-masked]
>> From: Dmitry Gutov <[email-masked]>
>> 
>> Let's get back to the previous topic. What about the previous fix for 
>> package-upgrade that I posted, one that makes it unconditionally upgrade 
>> built-in packages when invoked?
>> 
>> The one attached here: https://debbugs.gnu.org/62720#718
>> 
>> Can we put it on master now, or do we have to wait for some feedback 
>> from Emacs 29 first?
>
> I'd prefer the latter.  I'd prefer even more to have same behavior in
> Emacs 20 and Emacs 30, which could be possible if we decide to make
> this change in Emacs 29.2, based on feedback.  Because is it really a
> good idea to have the master and the release branch behave so
> differently in this regard?  People who use both branches, or switch
> from one to the other, will become confused.
>
> Philip, Stefan: WDYT about this?

I am fine with any change, as long as package-upgrade-all does not
automatically switch from built-in packages to a different version from ELPA.